# Parma_Watchdog_Library::Watchdog Class Reference

A watchdog timer. More...

`#include <pwl.hh>`

List of all members.

## Public Member Functions

| Watchdog (unsigned int units, void(*function)())
| Constructor: if not reset, the watchdog will trigger after `units` hundreths of seconds, invoking handler `function`.
| ~Watchdog ()
| Destructor.

## Detailed Description

A watchdog timer.

The documentation for this class was generated from the following file:

- pwl.hh